%define version 1.0
%define release %mkrel 4.alpha3.4
%define oname   kblogger

Name:		kblogger
Version:	%{version}
Release:	%{release}
License:	GPLv2+
Url:	        http://kblogger.pwsp.net/
Group:		Graphical desktop/KDE4
Source0:	%{oname}-%version.alpha3.tar.xz
Source1:	kblogger.desktop
Summary:        Blogging application
BuildRequires:  kdelibs-devel
BuildRequires:  kde-pimlibs-devel
BuildRequires:  kde-baseapps-devel
Requires:       kde-runtime
BuildRoot:     %{_tmppath}/%{name}-%{version}
Obsoletes:	%name < %version
Requires:	glibc >= 2.10.1
Requires:	libstdc++6 >= 4.4.1

%description
KBlogger is a simple to use blogging application for the K Destkop
Environment. It integrates in KDE Kicker for easy and fast blogging.
The Interface is very minimalstic and tries to provide maximal
usability for your enjoymnet. Just push to the blog button and start
writing.

%description -l de
Kblogger ist ein einfach zu bedienendes Blogging-Anwendung für die K Destkop
Umgebung. Es integriert im KDE Kicker zur einfachen und schnellen Blogging.
Das Interface ist sehr minimalstic und bemüht sich um maximale
Usability für Ihre enjoymnet. Just Push-to-the blog-Taste und starten
schriftlich.

%description -l fr
KBlogger est un simple pour employer blogging demande de Destkop K
Environnement. Il s'intègre dans KDE Kicker pour le blogging facile et rapide.
L'interface est très minimalisme et tente de fournir maximale
la facilité d'utilisation pour vos enjoymnet. Il suffit d'appuyer sur le bouton blog et commencer à
écrit.

%description -l es
KBlogger es un simple utilizar blogs solicitud de Destkop K
Entorno. Se integra en KDE Kicker para blogging fácil y rápido.
La interfaz es muy minimalstic y trata de proporcionar la máxima
utilidad para su enjoymnet. Basta con pulsar con el botón de blog y comenzar a
por escrito.

%description -l pl
KBlogger jest prosty w użyciu aplikacji do blogowania K Destkop
Środowisko. Integruje w KDE Kicker za blogowanie łatwy i szybki.
Interfejs jest bardzo minimalstic i stara się zapewnić maksymalną
użyteczność dla enjoymnet. Wystarczy nacisnąć przycisk na blogu i zacząć
piśmie.

%description -l sr
КБлоггер је једноставан за коришћење апликације за блоговање К Десткоп
Околина. Он се интегрише у КДЕ-Кицкер за лако и брзо блоговање.
Интерфејс је веома минималстиц и покушава да обезбеди максимално
употребљивост за ењоымнет. Само притисни дугме на блог и почнете
писање.

%description -l nl
KBlogger is een eenvoudig te gebruiken bloggen aanvraag voor de K Destkop
Omgeving. Het integreert in KDE Kicker voor eenvoudig en snel bloggen.
De interface is zeer minimalstic en probeert te voorzien in maximaal
bruikbaarheid voor uw enjoymnet. Gewoon duwen op de blog knop en start
schriftelijk.


%post
%{update_desktop_database}
%update_icon_cache crystalsvg

%postun
%{clean_desktop_database}
%clean_icon_cache crystalsvg

%files
%defattr(-,root,root)
%{_kde_bindir}/kblogger
%{_kde_datadir}/applications/kde4/kblogger.desktop
%{_kde_appsdir}/kblogger/kbloggerui.rc
%{_kde_appsdir}/kblogger/pics/kbloggerWelcome.jpg
%{_kde_datadir}/config.kcfg/kblogger.kcfg
%{_kde_iconsdir}/hicolor/*/*/*.png

#------------------------------------------------

%prep
%setup -q -n %oname

%build
%cmake_kde4 
%make

%install
cd build
rm -rf %buildroot
%{makeinstall_std}

install %SOURCE1 %buildroot%{_kde_datadir}/applications/kde4/kblogger.desktop

%clean
rm -rf %buildroot


%changelog
* Thu Aug 04 2016 adrianomorselli <adrianomorselli> 1.0.4uplos2012
- rebuild

* Mon Jun 25 2012 Neal <nealbrks0 at gmail dot com> 1.0-4pclos2012
- process

* Mon Jun 25 2012 Archie Arevalo <pclinuxos.ph at gmail.com> 1.0-4_archie_2012
- rebuild

* Mon Feb 21 2011 texstar <texstar.com>
- rebuild against kde 4.6.0

* Sun Aug 29 2010 Texstar <texstar at gmail.com> 1.0-3pclos2010
- rebuild for 4.5.1

* Sat Aug 14 2010 Texstar <texstar at gmail.com> 1.0-2pclos2010
- rebuild for 4.5.0

* Thu Jan 28 2010 Texstar <texstar at gmail.com> 1.0-1pclos2010
- rebuild

* Sat Oct 03 2009 Texstar <texstar at gmail.com> 1.0.alpha3-2pclos2010
- rebuild

* Wed Jul 08 2009 johnnyblack <johnnyblack at inbox.com>  1.0.alpha3-1pclos2009
- create


